## GVirConfigNodeDevice

GVirConfigNodeDevice

## Functions

GVirConfigNodeDevice * | gvir_config_node_device_new ()
GVirConfigNodeDevice * | gvir_config_node_device_new_from_xml ()

## Types and Values

struct | GVirConfigNodeDevice
struct | GVirConfigNodeDeviceClass
| GVirConfigNodeDevicePrivate

## Object Hierarchy

        GObject
        ╰── GVirConfigObject
            ╰── GVirConfigNodeDevice

## Description

## Functions

### gvir_config_node_device_new ()

    GVirConfigNodeDevice *
    gvir_config_node_device_new (void);

### gvir_config_node_device_new_from_xml ()

    GVirConfigNodeDevice *
    gvir_config_node_device_new_from_xml (const gchar *xml,
                                          GError **error);

## Types and Values

### struct GVirConfigNodeDevice

    struct GVirConfigNodeDevice;

### struct GVirConfigNodeDeviceClass

    struct GVirConfigNodeDeviceClass {
        GVirConfigObjectClass parent_class;

        gpointer padding[20];
    };

### GVirConfigNodeDevicePrivate

    typedef struct _GVirConfigNodeDevicePrivate GVirConfigNodeDevicePrivate;